input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(56);
        outline: none;
        color: #000;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(15) rem(20);
        background: white;
        display: block;
        vertical-align: middle;
        border: rem(1) solid white;

        &::placeholder {
            color: rgba(0, 0, 0, 0.6);
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;

            &::placeholder {
                color:transparent;
            }
        }

        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        top: calc(50% - 12px);
        fill: #5b3d38;
        font-size: 0;
        line-height: 0;
        right: rem(16);
        height: rem(24);
        position: absolute;
        display: block;
    }


    &--icon {

        #{$input-selector} {
            padding-right: rem(48);
        }
    }
}
